Bug 871586 - thumbslug needs to tell SAM how its feeling
thumbslug needs to tell SAM how its feeling
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: thumbslug (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Og Maciel
sthirugn@redhat.com
:
Depends On:
Blocks: sam13-tracker 759115
  Show dependency treegraph
 
Reported: 2012-10-30 15:21 EDT by James Bowes
Modified: 2013-06-07 13:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 13:23:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Thumbslug not shown in About page (64.85 KB, image/png)
2013-02-11 12:10 EST, sthirugn@redhat.com
no flags Details

  None (edit)
Description James Bowes 2012-10-30 15:21:59 EDT
katello should be able to ping thumbslug to get a rough idea of if the component is up and running or not.

Not sure if this should run as its own handler on a different port, or if we should intercept some path that's unlikely to be used in real content, or if we should look for some special header.


For actual health, we could make a quick call to candlepin /status to ensure thumbslug can talk to candlepin, then perhaps include the last status reply, or last few replies, from the CDN, to give a rough idea of if that communication is working (it would be too difficult to actually talk to the CDN without a client in play).
Comment 1 Tom McKay 2012-11-26 13:44:21 EST
Available in Thumbslug 0.0.27-1
Comment 3 sthirugn@redhat.com 2013-02-11 11:44:07 EST
Validated in the SAM version shown below and it has a more recent package vs. Thumsblug 0.0.27-1 as mentioned in Comment 1 above.

# rpm -qa | grep thumbslug
thumbslug-selinux-0.0.28-1.el6_3.noarch
thumbslug-0.0.28-1.el6_3.noarch

Version:
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-15h.el6_3.noarch
* katello-configure-1.2.3-3h.el6_3.noarch
* katello-glue-candlepin-1.2.1-15h.el6_3.noarch
* katello-headpin-1.2.1-15h.el6_3.noarch
* katello-headpin-all-1.2.1-15h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 4 sthirugn@redhat.com 2013-02-11 12:04:15 EST
The BZ is still open.  

1. SAM UI -> About page still does not show thumbslug status.
2. Thumbslug status still not shown in katello ping:
# katello -u admin -p admin shell
sam> ping
--------------------------------------------------------------------------------
                                 Katello Status

Status Service        Result Duration Message 
--------------------------------------------------------------------------------
OK     
candlepin      OK     43ms     
candlepin_auth OK     39ms     
elasticsearch  OK     28ms     
katello_jobs   OK     46ms

Version Tested:
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-15h.el6_3.noarch
* katello-configure-1.2.3-3h.el6_3.noarch
* katello-glue-candlepin-1.2.1-15h.el6_3.noarch
* katello-headpin-1.2.1-15h.el6_3.noarch
* katello-headpin-all-1.2.1-15h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 5 sthirugn@redhat.com 2013-02-11 12:10:16 EST
Created attachment 696219 [details]
Thumbslug not shown in About page
Comment 6 sthirugn@redhat.com 2013-02-11 17:21:47 EST
As per Tom McKay, now Thumbslug component has the ability to report its status to SAM.  The corresponding changes in the katello ping command and the SAM UI -> About page -> status section are being tracked in https://bugzilla.redhat.com/show_bug.cgi?id=759115 as part of SAM 1.3.
Comment 7 Bryan Kearney 2013-06-07 13:23:28 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.
Comment 8 Bryan Kearney 2013-06-07 13:25:21 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.

Note You need to log in before you can comment on or make changes to this bug.